\begin{figure}[htbp]
	\pgfplotsset{width=0.7\linewidth, compat=1.3, height=5cm}
	\centering
	\begin{tikzpicture}
	\pgfplotsset{
		scale only axis,
		legend style={at={(0.97,0.6)},anchor=east},
		xmode=log,
		log basis x={2},
		%	    legend pos = south west
		xtick=data,
	}
	
	\begin{axis}[
		axis y line*=left,
		ymin=0, 
		%		ymax=80,
		xlabel=Número de \textit{threads},
		ylabel=Tiempo (s),
		ymajorgrids,
		xmode=log,
		log basis x={2},
	]
	\addplot table[x={Hilos}, y={Tiempo}, col sep=comma, nodes near coords] {graficas/omp.csv}; \label{plot:omp-speedup}
	\end{axis}
	
	
	\begin{axis}[
		axis y line*=right,
		axis x line=none,
		ymin=0, 
		ymax=7.105,
		ylabel=\textit{Speedup},
		xmode=log,
		log basis x={2},
	]
	\addlegendimage{/pgfplots/refstyle=plot:omp-speedup}\addlegendentry{Tiempo}
	\addplot [mark=x, red] table[x={Hilos}, y={Speedup}, col sep=comma, nodes near coords] {graficas/omp.csv};
	\addlegendentry{\textit{Speedup}}
	\end{axis}
	
	\end{tikzpicture}
	\caption{Tiempo y \textit{speedup} conseguidos con la paralelización, según el número de hilos.}
	\label{fig:openmp}
\end{figure}